%global momorel 1

Name: clutter-gtk
Version: 0.10.2
Release: %{momorel}m%{?dist}
Summary: Clutter-GTK - GTK+ Integration library for Clutter

Group: Development/Libraries
License: LGPLv2+
URL: http://www.clutter-project.org/
Source0: http://www.clutter-project.org/sources/%{name}/0.10/%{name}-%{version}.tar.gz
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: clutter >= 1.0.4
BuildRequires: pkgconfig
BuildRequires: clutter-devel >= 1.0.4
BuildRequires: gtk2-devel
BuildRequires: gobject-introspection-devel

%description
Clutter-GTK is a library providing facilities to integrate Clutter into GTK+
applications. It provides a GTK+ widget, GtkClutterEmbed, for embedding the
default ClutterStage into any GtkContainer.

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --enable-introspection=yes
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libclutter-gtk-0.*.so.*
%exclude %{_libdir}/libclutter-gtk-0.*.la

# introspection
%{_libdir}/girepository-1.0/GtkClutter-0.10.typelib
%{_datadir}/gir-1.0/GtkClutter-0.10.gir

%files devel
%defattr(-, root, root)
%{_includedir}/clutter-1.0/clutter-gtk
%{_libdir}/libclutter-gtk-0.*.so
%{_libdir}/pkgconfig/clutter-gtk-0.*.pc
%{_datadir}/gtk-doc/html/clutter-gtk

%changelog
* Sun Nov 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.2-1m)
- update 0.10.2

* Wed Jun 24 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update 0.9.2

* Tue May 19 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-1m)
- update 0.9.0

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- initial build
